<template>
  <div class="home-main relative">
    <div class="container container-main-home">
      <div class="row row-main-home flex-lg-row-reverse align-items-center">
        <div class="home-call-action d-lg-none" style="width: 100%">
          <h2 class="mb-32 text-lg-left text-center">
            Vehicle shipping done right, every time! <br />
            with US Star Trucking!
          </h2>
          <a
            href="tel: +1(865) 312-6670"
            class="align-items-center d-none d-lg-flex call"
          >
            <div class="round">
              <svg
                width="28"
                height="29"
                viewBox="0 0 28 29"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  d="M15.1667 4C15.1667 4 17.7334 4.23333 21.0001 7.5C24.2667 10.7667 24.5001 13.3333 24.5001 13.3333"
                  stroke="white"
                  stroke-width="1.5"
                  stroke-linecap="round"
                />
                <path
                  d="M15.4082 8.125C15.4082 8.125 16.5631 8.45498 18.2956 10.1874C20.028 11.9198 20.358 13.0747 20.358 13.0747"
                  stroke="white"
                  stroke-width="1.5"
                  stroke-linecap="round"
                />
                <path
                  d="M10.5439 7.86903L11.301 9.22578C11.9844 10.4502 11.71 12.0564 10.6338 13.1326C10.6338 13.1326 10.6338 13.1326 10.6338 13.1326C10.6337 13.1327 9.32851 14.4381 11.6953 16.8049C14.0614 19.171 15.3668 17.8671 15.3676 17.8663C15.3676 17.8663 15.3676 17.8663 15.3676 17.8663C16.4438 16.7901 18.05 16.5158 19.2744 17.1991L20.6311 17.9563C22.48 18.9881 22.6983 21.5809 21.0732 23.2061C20.0967 24.1826 18.9005 24.9424 17.5781 24.9925C15.3519 25.0769 11.5713 24.5135 7.77899 20.7212C3.98665 16.9288 3.42325 13.1483 3.50764 10.9221C3.55778 9.5997 4.3176 8.40344 5.29411 7.42693C6.91921 5.80183 9.51204 6.02017 10.5439 7.86903Z"
                  stroke="white"
                  stroke-width="1.5"
                  stroke-linecap="round"
                />
              </svg>
            </div>
            <div>
              <p>Call us for a custom car shipping quote</p>
              <h3>(865) 312-6670</h3>
            </div>
          </a>
        </div>

        <div class="col-12 col-lg-6">
          <div class="home-main-form pt-20 pb-24 pr-24 pl-24">
            <div class="pb-20">
              <h2>
                GET A <span>FREE INSTANT QUOTE</span> <br />
                or CALL NOW <a href="tel: +1(865) 312-6670">(865) 312-6670</a>
              </h2>
            </div>
            <hr class="mb-16" />
            <div v-if="step === 1">
              <div
                class="relative mb-20"
                :class="{ hasError: $v.form.from.$anyError }"
              >
                <svg
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M13 11L22 2M22 2H16.6562M22 2V7.34375"
                    stroke="#0060B7"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22C17.5228 22 22 17.5228 22 12"
                    stroke="#0060B7"
                    stroke-width="2"
                    stroke-linecap="round"
                  />
                </svg>
                <el-autocomplete
                  id="form-from"
                  class="inline-input"
                  v-model="form.from"
                  :fetch-suggestions="querySearch"
                  placeholder="From (Zip code or City)"
                  autocomplete="off"
                  @select="handleSelectFrom"
                >
                  <template slot-scope="{ item }">
                    <div>
                      {{ item.city }}, {{ item.state }}, {{ item.name }}
                    </div>
                  </template>
                </el-autocomplete>
                <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">
                  *Please enter a valid Zip or City
                </p>
              </div>
              <div
                class="relative mb-20"
                :class="{ hasError: $v.form.to.$anyError }"
              >
                <svg
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M21 3L12 12M12 12H17.3438M12 12V6.65625"
                    stroke="#0060B7"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22C17.5228 22 22 17.5228 22 12"
                    stroke="#0060B7"
                    stroke-width="2"
                    stroke-linecap="round"
                  />
                </svg>

                <el-autocomplete
                  id="form-to"
                  class="inline-input"
                  v-model="form.to"
                  :fetch-suggestions="querySearch"
                  autocomplete="off"
                  placeholder="To (Zip code or City)"
                  @select="handleSelectTo"
                >
                  <template slot-scope="{ item }">
                    <div>
                      {{ item.city }}, {{ item.state }}, {{ item.name }}
                    </div>
                  </template>
                </el-autocomplete>
                <p :class="$v.form.to.$anyError ? 'd-block' : 'd-none'">
                  *Please enter a valid Zip or City
                </p>
              </div>
              <div
                class="relative"
                :class="{ hasError: $v.form.type.$anyError }"
              >
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <ellipse
                    cx="5.41671"
                    cy="14.5833"
                    rx="2.08333"
                    ry="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <circle
                    cx="14.5833"
                    cy="14.5833"
                    r="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z"
                    fill="#0060B7"
                  />
                </svg>
                <el-select
                  id="form-type"
                  :automatic-dropdown="true"
                  v-model="form.type"
                  placeholder="Vehicle Size"
                  style="width: 100%"
                >
                  <el-option class="size-of-car-select" label="Car" value="Car">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="924"
                      height="284"
                      viewBox="0 0 924 284"
                      fill="none"
                      class="svg replaced-svg"
                    >
                      <path
                        d="M168.3 153.5a64.8 64.8 0 1 0 0 129.5 64.8 64.8 0 0 0 0-129.5zm0 115.9a51.1 51.1 0 1 1 0-102.2 51.1 51.1 0 0 1 0 102.2zm551.9-115.9a64.8 64.8 0 1 0 0 129.5 64.8 64.8 0 0 0 0-129.5zm0 115.9a51.1 51.1 0 1 1 0-102.3 51.1 51.1 0 0 1 0 102.3z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M720.2 170.3a48 48 0 1 0 0 96 48 48 0 0 0 0-96zm-30 19a10.2 10.2 0 0 1 11-2.9l12.4 12.2-1 12.5-12.5 1.3-12.5-12.2a10.2 10.2 0 0 1 2.6-11zm12 61.5a10.9 10.9 0 0 1-13.9-13.5l12.3-12.5 12.5 1 1.2 12.5-12.2 12.5zm18-27.5zm18-37.6a10.9 10.9 0 0 1 13.8 13.5l-12.2 12.5-12.5-1-1.3-12.5 12.3-12.5zm12 61.6a10.2 10.2 0 0 1-11 2.8L726.9 238l1-12.5 12.5-1.3 12.5 12.2a10.2 10.2 0 0 1-2.6 11z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M917 153.5c-2.5-.5-4.8-1.2-7-2.2v31.8a.8.8 0 0 1-.7.8c-.6 0-59.5 8.3-79.1 8.3-20.2 0-22.9-7-23-7.2a.8.8 0 0 1 .5-1 .8.8 0 0 1 1 .4c0 .1 2.7 6.2 21.4 6.2a956 956 0 0 0 78.2-8.2v-32.2a.8.8 0 0 1 1.1-.8c1.5.7 3 1.2 4.6 1.7l-4.6-12.5L902 116s-3-25-7.3-29.6l-7.8-8-19.8-1.6-58-4.2-43-19.7s-88-37-93.1-39c-5.2-2-82.8-15.7-154.7-12.4C446.5 4.7 405.5 13.9 389 18.3c-16.4 4.4-129.2 73.1-129.2 73.1s-153 16.5-198.8 32.5c-45.7 16-44.5 39.8-44.5 39.8a23.5 23.5 0 0 1-8.9 10.9c-6.4 4-2.4 48.1-3.6 48-1.2-.2-3.6 9.4-3.6 9.4l16.9 7.2 14.4 6.8h60.7l10.4-.2a71 71 0 1 1 132.1-3l14-.3h400.3l4.2-.3a71 71 0 1 1 135.8-7.2l10.4-.5s70.2-6.2 81.1-10c11-3.7 22-7.1 22-7.1s10.2-4.1 14-8.1c3.7-4 5.3-15 5.3-15l1.6-36.6-6.7-4.2zm-805.2-22.3c-.2.1-22.4 12.4-28.7 23.9a.9.9 0 0 1-.6.4L57 159.7c-12.7 2-26.4 4.2-31.9 4.8a.8.8 0 0 1-.7-.4.8.8 0 0 1 0-.8c.4-1 11.2-24.7 18.4-27.2 7.2-2.5 50.7-9.8 67-12 7.1-1 8.4-.3 8.8.8.5 2.1-4 4.8-6.9 6.3zm156.8 84.7s17.3-6.8 26.5-7.2l311.3-14.1 20 8.8-357.8 12.5zm-9.4-84.5c-6.7 35 8.5 79 8.7 79.5a.8.8 0 0 1 0 .6.8.8 0 0 1-.5.4h-.3a.8.8 0 0 1-.7-.5c-.2-.4-12.6-36.5-10-69.5a373 373 0 0 1 1.7-12.6 67 67 0 0 1 5.4-15.8C282 77.3 384.7 28 403.7 21.5a.8.8 0 0 1 1 .6.8.8 0 0 1-.5 1c-18.8 6.3-121 55.3-139.3 91.1a63.4 63.4 0 0 0-5.5 16.6l232.5-20.5 203.2-8.9-435.9 30zm426.5-55.8a.8.8 0 0 1-.6.4l-41 1.8h-.8L539.7 82h-.2l-23 1.1-37.5 2.4-.3.1-186 10.7a.8.8 0 0 1-.8-.5.8.8 0 0 1 .3-.9c.5-.4 55.9-47.1 113.2-65.4C441 18 467.1 15.5 482 15.3h5.9l29.9-.1h2.2c72.3.1 110.4 6.1 118.7 7.6h.3l1.5.3c2.6.4 5 1.1 7.5 2 9.4 3 48.8 16.4 49.6 24 .9 8-11.4 25.8-11.9 26.5zm109.4 86.6a213.2 213.2 0 0 1-25-2 .8.8 0 0 1-.1-.5.8.8 0 0 1 .8-.7c.4 0 36 4.6 45.5-2 9-6 48.6-25.2 56.7-29.1-9-4.7-47.3-24.9-49.2-31.2v-.3h-53a.8.8 0 0 1-.7-1 .8.8 0 0 1 .4-.5h54.1c6.3 0 61.4-.4 65.8 2 4.5 2.5 11.5 30.7 12.3 33.9a.8.8 0 0 1-.8 1l-27-3c-3.3 1.6-48.3 23.2-57.7 29.6-4.3 3-13.2 3.8-22.1 3.8z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M117 125.4c0 .7-2.8 2.8-6 4.4-24.5 0-46.3 21.5-52.3 28-12.2 2-25.8 4.2-32.3 5 3.5-7.5 11.9-23.4 17-25.2a834 834 0 0 1 71.7-12.4c.7-.1 1.4 0 2 .2zm783.9 4.6-25.9-2.8c-19-9.9-47.6-26-49.6-30.8 13.4 0 30.6 0 43.8.3 1 2.4 7.4 14.6 26.4 14.6 2 6 3.9 13.1 5.3 18.7zM518.8 16.8l-.4.5v-.5h.4zm-22.1.5 19.6-.5-3.8 64.8-32.5 2.2 16.7-66.5zM57.1 159.7H57h.1zm581.1-135 7.8 1.4-3.4 49.5H635l3.2-50.9zM168 170a48 48 0 1 0 0 96 48 48 0 0 0 0-96zm-30 19a10.2 10.2 0 0 1 10.9-2.9l12.5 12.2-1 12.5-12.5 1.3-12.5-12.2a10.2 10.2 0 0 1 2.6-11zm11.9 61.5a10.9 10.9 0 0 1-13.8-13.5l12.2-12.5 12.5 1 1.3 12.5-12.2 12.5zm18-27.5a5 5 0 1 1 .1 0zm18.2-37.6a10.9 10.9 0 0 1 13.7 13.5l-12.2 12.5-12.5-1-1.3-12.5 12.3-12.5zm11.8 61.6a10.2 10.2 0 0 1-10.8 2.8l-12.5-12.2 1-12.5 12.4-1.3 12.5 12.2a10.2 10.2 0 0 1-2.5 11z"
                        fill="#09265E"
                      ></path>
                    </svg>
                    <span>Car</span>
                  </el-option>
                  <el-option class="size-of-car-select" label="SUV" value="SUV"
                    ><svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="875"
                      height="334"
                      viewBox="0 0 875 334"
                      fill="none"
                      class="svg replaced-svg"
                    >
                      <path
                        d="M170.6 216a43.8 43.8 0 1 0 0 87.6 43.8 43.8 0 0 0 0-87.7zm13.3 5.2s17 8.5 17.6 13a6.8 6.8 0 0 1-2.9 6.8l-18.8 11.6-2.8-2.3 6.9-29.1zm-29 .3a6.8 6.8 0 0 1 5.7 4.6l6.2 21.3-3 2-26.2-14.5s12.8-14 17.4-13.4zM138.2 283s-9.9-16.2-8-20.3a6.8 6.8 0 0 1 6-4.3l22.1.1 1.2 3.5-21.3 21zm21.8 13.8a6.8 6.8 0 0 1-1.6-7.1l8.4-20.5 3.7.3 11.4 27.6s-18.7 3-22-.4v.1zm45.2-16.9a6.8 6.8 0 0 1-7.3-.4L180.3 266l1.3-3.4 29.7-3.6s-2.2 18.8-6.2 21z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M170.6 211.2a48.6 48.6 0 1 0 0 97.1 48.6 48.6 0 0 0 0-97.1zm0 94.2a45.7 45.7 0 1 1 0-91.4 45.7 45.7 0 0 1 0 91.4z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M170.6 186a73.8 73.8 0 1 0 0 147.5 73.8 73.8 0 0 0 0-147.5zm0 124.1a50.4 50.4 0 1 1 0-100.8 50.4 50.4 0 0 1 0 100.8zM696.5 216a43.8 43.8 0 1 0 0 87.6 43.8 43.8 0 0 0 0-87.7zm13.3 5.2s17 8.5 17.6 13a6.8 6.8 0 0 1-2.9 6.8l-18.8 11.6-2.8-2.3 7-29.1zm-29 .3a6.8 6.8 0 0 1 5.8 4.5l6.1 21.3-3 2-26.2-14.4s12.8-14 17.4-13.4zM664 283s-9.9-16.2-8-20.4a6.8 6.8 0 0 1 6-4.2l22.1.1 1.2 3.5-21.3 21zm21.8 13.8a6.8 6.8 0 0 1-1.6-7.1l8.4-20.5 3.7.3 11.4 27.6s-18.7 3-21.9-.4zm45.2-16.9a6.8 6.8 0 0 1-7.3-.4L706.3 266l1.2-3.5 29.7-3.5s-2.1 18.8-6.2 21z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M696.5 211.2a48.6 48.6 0 1 0 0 97.1 48.6 48.6 0 0 0 0-97.1zm0 94.2a45.7 45.7 0 1 1 0-91.3 45.7 45.7 0 0 1 0 91.3z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M696.5 186a73.8 73.8 0 1 0 0 147.5 73.8 73.8 0 0 0 0-147.5zm0 124.1a50.4 50.4 0 1 1 0-100.8 50.4 50.4 0 0 1 0 100.8zM55.9 139.6a7446 7446 0 0 0 65.8-11.3 40.7 40.7 0 0 1 24.5-8.3l2.4-.3c6-.7 12.2-1.7 18.1-2.7l2.7-.4 19.4-3.4 3-.5c8-2.4 27.3-9.7 30.3-18C207 97 124.2 110 92 117.9a351.5 351.5 0 0 0-68.8 26.3l-.7 2.8c11-3 22.1-5.4 33.4-7.3zM774.2 19.3c0 1.7 7.2 7.5 13.9 12 1.7-.4 8.8-1.6 13.6-1.3l-2-2.3c-2.5-4.2 9.8-4 9.8-4l4.7-6.8-32.6-3.1-6.4-.5c-.6 2-1 4-1 6zm-734.4 221c-1.3-14.9-3.3-31.1-4.7-32.8-.8-.3-3.8-.4-7.7-.4-5.8 0-13.7.3-19.4.5-1.7 0-2.8.3-3.5 1-1.3 1.6-1.4 6-.2 14.2 1.3 9.6 5.4 12.8 7.8 13.8a7.4 7.4 0 0 1 4 4.5l4.4 13.6a5.4 5.4 0 0 0 5.1 3.8h14.6c.5-1.8.2-10.5-.4-18.2zM10.3 214h19.8a1.4 1.4 0 1 1 0 3H10.3a1.4 1.4 0 0 1 0-3zm0 6.3h19.8a1.4 1.4 0 1 1 0 3H10.3a1.4 1.4 0 0 1 0-3zm0 9.3a1.4 1.4 0 0 1 0-3h19.8a1.4 1.4 0 1 1 0 3H10.3zm9.1 7.8a1.4 1.4 0 0 1 1.4-1.4h13.6a1.4 1.4 0 0 1 0 2.9H20.8a1.4 1.4 0 0 1-1.4-1.5zm.6 6.2a1.4 1.4 0 0 1 1.5-1.4H35a1.4 1.4 0 0 1 0 2.9H21.5a1.4 1.4 0 0 1-1.5-1.5zm16.7 8.3H23.2a1.4 1.4 0 0 1 0-2.8h13.5a1.4 1.4 0 0 1 0 2.8zm824.1-136.3v-9c-11.1-2.4-33.7-8.2-31.1-12 3.3-5 15.3-2.4 13.5-11.2-.8-4.1-.8-8.3.2-12.3-9.7-9.4-30.8-29.7-39.6-39-3.1-.8-10 0-14 .7L824 67c.4.4 7 8.2 2.9 12.4-3.7 3.7-44.8 6.6-53.4 7.2-.5.2-1.4.7-1.4 1.4 0 .4.4 2 5.8 4.2 10.8 4.6 69 19.8 69.7 20a116 116 0 0 0 13.2 3.4zm-841 64.1h.2c4.7 0 47.5-17.4 60.6-23l17.8-22.4c-14.5 2.5-32.1 5.5-42.3 7.1a340 340 0 0 0-34 7.6L16 174.7c1.2 2 2.7 4.2 3.8 5zM263.4 85c27-10.5 100-52 110.2-58l-7.1-5.5c-34 13.8-116.7 61.3-122.7 66.5a18 18 0 0 1-4 2.5c4.5.2 11.8-1 23.6-5.5zm609.4 142.8c-2.5.4-8 1.7-11.7 6.1a19 19 0 0 0-3.9 13.8 88 88 0 0 0 16.5-5.6c1.2-1.6-1.3-11-1.3-11l.4-3.3z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M873.6 210c-.4-5.8-4.5-6.8-6.8-6.9-16.7 9.5-77.5 13-80.3 13.2a1 1 0 0 1-.7-1.6l.6-.3c.7 0 61.2-3.5 78.5-12.3l-1.7-4.7V191s-.3-13 0-23.8c.2-11-2.4-25.3-2.4-25.3v-24.4c-4.6-1-9.2-2-13.7-3.5-1.7-.5-30.5-8-51-14-3.8 5.4-30.5 44.3-36.5 50a1 1 0 0 1-1.2.1 1 1 0 0 1-.1-1.4 762 762 0 0 0 35.9-49.2 197 197 0 0 1-17-5.6c-4.7-2-7-3.9-7-6 0-1.6 1.8-2.7 2.7-3l.3-.1c19-1.3 50-4.2 52.4-6.7 2.9-3-2.8-9.7-2.9-9.8L787.3 33c-3.6-2.4-15-10.2-15-13.7.2-2 .5-4 1-6L600 .4 465 3.1s-64.3 8.3-89.9 15.4c-1.8.5-4 1.3-6.4 2.3l7.4 5.7a1 1 0 0 1 .2 1.2l-.3.3c-.9.5-82.7 47.4-111.7 58.7a69 69 0 0 1-23.6 5.7 19 19 0 0 1-4.1-.4 51 51 0 0 1-12 2.4h-.3c-2.7 11.4-30.6 19.7-31.8 20h-.1l-3 .6-19.5 3.4-2.6.4c-6 1-12.1 2-18.2 2.7l-2.5.3c-4.4.5-9 1-13.1 2.4-2.6.9-5.1 2-7.5 3.5l-3 2.3c-1.4 1-34.5 25.3-38.1 27-2 1-17.6 7.5-33 13.6-24 9.5-30.1 11-32 11-.4 0-.7 0-1-.2a15 15 0 0 1-3.4-4l-1.9 7.9S6.3 198.6 3 202C-.3 205.3.6 224.2.6 224.2l6 37a34 34 0 0 0 9.4 9.1c5.6 3.6 69.2 8 69.2 8h7.5a80 80 0 1 1 156.9-5l367.4-4.4a80.1 80.1 0 0 1 47.1-82.4l24.2-79.2-10.7-17.6a1 1 0 0 1-.2-.7 1 1 0 0 1 .5-.6 1 1 0 0 1 1.3.4l10.8 17.9a1 1 0 0 1 .1.7l-23.8 78.2a80.1 80.1 0 0 1 110 81.5l7.7.3s26.7-3 30.2-3c3.6 0 10.4-6.9 10.4-6.9s18 .5 23-2.2c5-2.6 3-5.8 3-5.8l4.8-1.3a21 21 0 0 1 4.3-15.5 21.2 21.2 0 0 1 13.2-6.8c.6-5.3.8-10.6.7-15.9zM40.9 260.2c-.2 0-.7.2-6 .2h-9.3a7.3 7.3 0 0 1-6.9-5.1l-4.3-13.7a5.5 5.5 0 0 0-3-3.3c-2.8-1.2-7.5-4.8-9-15.2-1.2-9.2-1-13.5.7-15.6 1.2-1.5 3-1.7 4.8-1.7 4.2-.2 25.4-1 28 0 .7.4 2 1 4 18 1 8.2 1.7 16.3 1.7 16.4 1.5 19.6.1 19.9-.7 20zM505.6 32.6S502 61.7 504 74.5a194 194 0 0 0 3.6 18.6l-37.6.5s10-53.2 7.6-59.8l28.1-1.2zm-97.2 6.6c10.3-2.1 20.6-4.1 31-5.7 8-1.2 16.2-2.4 24.3-2.3 2.8 0 5.6-.2 7.5 2.2 2 2.8 2 7 1.5 10.2-1.5 13.9-11.6 53.6-11.6 53.6s-182.5 10-187.3 7c0-.1 88-55.3 134.6-65zm58.1 80.6a3.8 3.8 0 0 1-3.7 3.8H441a3.8 3.8 0 0 1-4-3.8 3.8 3.8 0 0 1 4-3.8h21.7a3.8 3.8 0 0 1 3.8 3.7zm-196-6.1a1 1 0 0 1 1.4-.2 1 1 0 0 1 .2 1.3c-.1.1-9.6 13-8.7 40.8a807.7 807.7 0 0 0 7.2 71.4.9.9 0 0 1-.4.6 1 1 0 0 1-.3.1h-.2a1 1 0 0 1-.9-.8c0-.4-6.3-43.2-7.2-71.3-1-28.5 8.5-41.4 9-42zm328 137.6H262.4a1 1 0 0 1 0-1.9h336a1 1 0 0 1 .7 1.6 1 1 0 0 1-.6.3zm0-23.7-115 2.4-188.9 4a1 1 0 0 1-1-1 1 1 0 0 1 1-1l187.9-3.8c0-6.8-.6-50 0-73.7.6-25.6 5.2-52.2 5.3-52.5a1 1 0 0 1 1.8.4c0 .2-4.6 26.7-5.2 52.2-.6 23.5-.1 66.7 0 73.6l114.1-2.4a1 1 0 1 1 0 1.8zm41.2-104.1h-21.8a3.8 3.8 0 0 1 0-7.6h21.8a3.8 3.8 0 1 1 0 7.6zm5.1-35.8-131.1 5.4a159.8 159.8 0 0 1-5.4-52c.3-7.7 3.1-13 11.4-14 15.7-1.5 115 0 115 0s7.6 2.9 10.1 15.8 0 44.8 0 44.8zm5-4.3s2-40.6-5.8-52h12L678 82l-28.2 1.4zm102-26.9s-32 17-49.5 22.7c-17.5 5.7-19.5 4-19.5 4l-22-53.5c50-5 85.2 13.5 91 19 5.9 5.6 0 7.8 0 7.8zM860 104.8a1 1 0 0 1-.7-.4 1 1 0 0 1-.2-.6 24 24 0 0 0-1.7-12.3 94 94 0 0 0-13-16.5 1 1 0 1 1 1.4-1.3c.4.4 10.4 10.8 13.3 17 1.8 4.2 2.5 8.8 1.9 13.3a1 1 0 0 1-1 .8z"
                        fill="#09265E"
                      ></path>
                    </svg>
                    <span>SUV</span>
                  </el-option>
                  <el-option
                    class="size-of-car-select"
                    label="Pickup"
                    value="Pickup"
                    ><svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="900"
                      height="314"
                      viewBox="0 0 900 314"
                      fill="none"
                      class="svg replaced-svg"
                    >
                      <path
                        d="M178.5 245c-.9-12-6.2-23.2-15-31.3a45.7 45.7 0 0 0-63.4 1.2 47.4 47.4 0 0 0-13.8 31.8v.7A47.8 47.8 0 0 0 99 281.9a46.2 46.2 0 0 0 33.3 14.5 45.5 45.5 0 0 0 33.4-14.5 47.1 47.1 0 0 0 12.7-36.9zm-18-26.2c2.6 2.7 4.8 5.8 6.5 9.1L136.7 243l14.8-30.8a40 40 0 0 1 9 6.6zm-25 28.6a3.3 3.3 0 0 1-1.8 3.1 3.1 3.1 0 0 1-3.6-.7 3.3 3.3 0 0 1-.8-2.4c0-.5 0-1 .3-1.5.3-.6.9-1.1 1.5-1.4a3.1 3.1 0 0 1 3.8 1c.5.5.7 1.2.7 1.9zm-3-40.4c3.6 0 7.3.7 10.8 1.8l-10.9 32.4-11-32.4c3.6-1.1 7.3-1.7 11-1.8zm-28.2 11.8c2.7-2.6 5.7-4.8 9-6.6L128 243l-30.3-15c1.7-3.4 4-6.5 6.5-9.2zm-11.6 28.6v-.8c.1-3.5.7-7 1.7-10.3l28 9.7 4 1.4-32 11.1c-1-3.6-1.6-7.3-1.7-11.1zm11.6 28.6a40 40 0 0 1-6.5-9.1l30.3-15.1-14.8 30.8c-3.3-1.8-6.3-4-9-6.6zm28.1 11.8c-3.7 0-7.4-.6-11-1.7l11-32.5 11 32.5a39.1 39.1 0 0 1-11 1.7zm28.1-11.8a40.1 40.1 0 0 1-9 6.6l-14.8-30.8 30.3 15c-1.7 3.4-4 6.5-6.5 9.2zm9.9-17.4-31.9-11.2 5-1.8 27-9.3a41.4 41.4 0 0 1 1.7 11.1c-.1 3.8-.7 7.5-1.8 11.1z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M196.8 245a66.1 66.1 0 0 0-20-45.2 63.8 63.8 0 0 0-90.2 1.4A66.2 66.2 0 0 0 68 247v.4a66.6 66.6 0 0 0 18.5 46.9 64.4 64.4 0 0 0 45.9 19.5 63.5 63.5 0 0 0 45.9-19.5 65.7 65.7 0 0 0 18.5-49.3zm-64.4 52a48 48 0 0 1-34.5-14.6 50.1 50.1 0 0 1-14.2-35v-.7a50 50 0 0 1 14.1-34.3 48.3 48.3 0 0 1 68-1.2 50 50 0 0 1-33.4 85.8zM754 237.9v-1a47 47 0 0 0-17-26.7 45.6 45.6 0 0 0-59 2.4 47.3 47.3 0 0 0-13.7 47.5 47.3 47.3 0 0 0 23.2 29.4 45.6 45.6 0 0 0 64-23.2 47.7 47.7 0 0 0 2.6-28.4zm-17-19c2.6 2.7 4.8 5.7 6.5 9L723 238.4l-1.4.7-8.3 4 1.9-3.9.3-.6 12.7-26.3a40 40 0 0 1 9 6.6zM709 207c3.6 0 7.3.7 10.9 1.8l-10.1 30-.2.5-.7 2-.6-2-.2-.5-10.1-30c3.5-1.2 7.2-1.7 11-1.8zm3.1 40.4a3.3 3.3 0 0 1-2 3 3.1 3.1 0 0 1-3.4-.7 3.2 3.2 0 0 1-.7-3.5 3.2 3.2 0 0 1 3-2c.8 0 1.6.3 2.2 1 .6.5.9 1.3.9 2.2zm-31.2-28.6c2.7-2.6 5.7-4.8 9-6.6l12.9 26.9.2.4 1.7 3.5-6.7-3.3-.8-.4-22.8-11.4a39 39 0 0 1 6.5-9zm-11.7 28.6c0-2.3.3-4.5.7-6.8v-.2l1-4.1 10.5 3.6.8.3 20.6 7.2-32 11.1c-1-3.6-1.5-7.3-1.6-11.1zM681 276a40 40 0 0 1-6.5-9.1l30.3-15.1-14.8 30.8c-3.3-1.7-6.3-4-9-6.6zm28 11.8c-3.6 0-7.3-.6-10.9-1.7l11-32.5 11 32.5a39.3 39.3 0 0 1-11 1.7zm28-11.8a40.2 40.2 0 0 1-9 6.6l-14.8-30.8 30.3 15a37.3 37.3 0 0 1-6.5 9.2zm10-17.4-32-11.2 26.1-9.1 2.7-1 3.1-1a257.3 257.3 0 0 0 .5 1.8 40 40 0 0 1 1.3 9.3 38 38 0 0 1-1.8 11.1z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M772.6 237.3v-.6a65.8 65.8 0 0 0-22.9-40 63.7 63.7 0 0 0-85 3.1 66 66 0 0 0-20.2 47.6 66.6 66.6 0 0 0 18.6 46.9 64.4 64.4 0 0 0 45.9 19.5 63.5 63.5 0 0 0 45.8-19.5 65.7 65.7 0 0 0 17.8-57zM708.9 297a47.8 47.8 0 0 1-34.4-14.6 50.1 50.1 0 0 1 1.6-71.7 48.3 48.3 0 0 1 80.5 26.1l.1 1a50.5 50.5 0 0 1-10.1 41 49 49 0 0 1-37.7 18.2zM13.7 166.2v7h11.5c.7 0 1.4-.3 2-.8.4-.4.8-1 1-1.7v-27.4a2.8 2.8 0 0 0-.7-2.1c-.7-.5-1.5-.7-2.3-.6H14.7l-.3 4.8h6.7v5.2h-7v2.5h7v5.3h-7.3v2.5H21v5.2h-7.4zm393.9-46h-29.1a3.7 3.7 0 0 0-3.5 2.3l-.2 1.5v7.8a3.8 3.8 0 0 0 1 2.7 3.7 3.7 0 0 0 2.7 1.1h29.1c1 0 2-.4 2.6-1 .7-.8 1.1-1.7 1.1-2.8V124a3.8 3.8 0 0 0-2.3-3.5c-.4-.2-.9-.3-1.4-.3zm-2.7 10.3h-23.7c-.6 0-1.2-.4-1.6-.8a2.6 2.6 0 0 1 0-3.5 2 2 0 0 1 1.6-.8H405a2 2 0 0 1 1.6.8 2.6 2.6 0 0 1 0 3.5 3 3 0 0 1-1.6.8zM309.3 20l-97 67.4c-2.1.2-4.1-.2-6-1 17.3-13.1 67.5-50.4 99-66.3h4zm553.9 199-2 5.7c0 .2-21.6.6-35.3.7 0-1 .3-2.1.5-3.2h.7a36.8 36.8 0 0 0 12.8-3.7 36 36 0 0 0 12.4 1.5c3.7 0 7.3-.3 11-1zm-4.2-84.1c0 7.6-.4 15.2-1.3 22.7l-.9.5-1.7.8-1 .4a28.5 28.5 0 0 1-9 1.6h-1.8l-3.1-.1c-.7 0-1.3 0-2-.2h-.9l-1.6-.3-1.5-.2-1.3-.3-.9-.2-.8-.2V135h27.9zm10.6 81.9z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M844 162.4a51 51 0 0 1-13-1.7c-.1 0-1-.1-1-.3v-25.8a72.8 72.8 0 0 1-14-13.2c-3-5 .3-11.6.5-11.9l1-1c-.1 0 .1 0 0 0l39.5-1c-2-9-2.3-8.6-6-17l-431.6 5.7 27.6-.8V5.6h-45.8s-47.4-.1-79.1 8a76 76 0 0 0-13.4 5.2h3.6c.1 0 .2 0 .3.2.2 0 .2.2.3.3v.4l-.3.3-99 68.7-.3.1h-1.2c-1 0-1.9 0-2.8-.2a9.3 9.3 0 0 1-3.4-1.3l-5 3.9-6-.2-18.8 16.1-.4.2c-1 0-101.6 9.1-115.7 11a21.2 21.2 0 0 0-17 11h17c1 0 2.1.4 3 1a3.6 3.6 0 0 1 1 2.8v1.3c0 3.8.1 7.1-1.6 7.4-1.4.5-12.3 11-13.1 13.7-.7 2.3-1.2 14.7-1.3 21-.5 2-2.4 6-6.6 6H13.5l-.7.6-6.7 6.5-4.6 13.2s-.4 10.2 0 18.3c.3 8.1 19 21 19 21l16.6 3.7 27.4 1.1A70.5 70.5 0 0 1 85 198.8a68.1 68.1 0 0 1 95.4-1.3 70.5 70.5 0 0 1 21.6 47.6h350.6l73.8-.2 15-3.2a71 71 0 0 1 21-45 68.1 68.1 0 0 1 91.5-3c13 11 21.4 26.5 23.9 43.5l6.2.6c1.7.2 3.2-1.5 3.2-1.5h11.5c6.7 0 13.5-5.6 13.5-5.6l2.9-5.1h10c.5-4.3.6-4.4 1-4.5l1-.2c10.2-1.8 12.8-3 13.1-3.5l.1-.1.1-.2.1-.2.2-.6a18.7 18.7 0 0 0 .8-3.4l.7-4.5.3-1.9.2-1.5.1-1 .2-1.5.2-1.5 1-9.4.2-1.6.2-2.3.1-1.8.1-.2.3-.2 5-4.5 1-.1a68.4 68.4 0 0 0 6-17.1s.8-2.8 1-4.4a30.2 30.2 0 0 1-14 3zM60.3 158c12-11.4 26.5-19.9 42.2-25 23.7-7.5 60.7-9.3 101.6 25l.2.4v.5a.7.7 0 0 1-.6.2c-.2 0-.3 0-.4-.2-40.5-33.8-77-32-100.4-24.5A110.2 110.2 0 0 0 60.7 159a.7.7 0 0 1-.6-.9l.2-.2zm147.5 73.2a.6.6 0 0 1-.5-.2.6.6 0 0 1-.1-.5 89.2 89.2 0 0 0-10.4-35.7c-9-16.3-27.7-35.7-66-35.7-38.4 0-57.1 19.4-66 35.7A88.6 88.6 0 0 0 54.2 231l-.4.2-.5-.2a90.2 90.2 0 0 1 10.3-36.8c9.2-16.6 28.2-36.4 67.2-36.4s58 19.8 67.2 36.4a90.2 90.2 0 0 1 10.3 36.8.7.7 0 0 1-.5.2zm29.1-135c0-3.4 3.4-7 5.7-9.4l.4-.3a72 72 0 0 1 4.7-4.6l.2-.2 1.5-1.2 2.6-2.3 5.9-4.4a336.3 336.3 0 0 1 26.7-17.6l3-1.9 6.8-4.1 7.8-4.8 1.3-.8.5-.2.1-.1 5.1-3.3.6-.4h.1l1.7-1 10.4-6.4 2.3-1.3a47 47 0 0 1 10.2-5.2c11-3.5 23.9-5.2 40.4-5.6l47.4-1.8c-1.2-14.8-12.2 77-3 77l27.7-1-26 1h-53.4c-4.7 0-20.7.6-31.8 8.6-6.2 4.3-13.3 7-20.8 8l-77.4 2.7a.6.6 0 0 1-.6-.4c-.2-.2-2.1-5.6-.1-19zM413.5 124v7.9c0 1.3-.6 2.6-1.5 3.6a5 5 0 0 1-3.6 1.5h-29.1a5 5 0 0 1-3.6-1.5 5 5 0 0 1-1.5-3.6v-8a5 5 0 0 1 1.5-3.5 5 5 0 0 1 3.6-1.5h29.1a5 5 0 0 1 3.6 1.4 5.1 5.1 0 0 1 1.5 3.7zm188.4 73-376.6 8.4-.5-.1a.7.7 0 0 1 0-1l.5-.2 376.5-8.4.5.1.2.5c0 .2 0 .3-.2.5l-.5.2zm0-8.5L225.3 197c-.2 0-.4 0-.5-.2a.7.7 0 0 1-.2-.5.7.7 0 0 1 .2-.5l.2-.1h.3l376.5-8.5c.2 0 .4 0 .5.2l.2.4a.7.7 0 0 1-.2.5.7.7 0 0 1-.5.2zm37.6-28.7a112 112 0 0 1 42.2-25c23.8-7.5 60.7-9.3 101.6 25 .2 0 .2.2.3.4 0 .2 0 .3-.2.5a.7.7 0 0 1-.5.2l-.4-.1c-40.5-33.9-76.9-32-100.4-24.7A110.8 110.8 0 0 0 640 161a.6.6 0 0 1-.6-.4.7.7 0 0 1 0-.5l.1-.2zM787.1 233c-.2 0-.3 0-.5-.2a88.5 88.5 0 0 0-10.6-36.2c-9-16.3-27.6-35.7-66-35.7-38.3 0-57 19.4-66 35.7a89.2 89.2 0 0 0-10.6 36.2.6.6 0 0 1-.9 0 .6.6 0 0 1-.1-.5 90 90 0 0 1 10.5-36.3c9-16.6 28.1-36.4 67.1-36.4 39 0 58 19.8 67.2 36.4a90.2 90.2 0 0 1 10.3 36.8.6.6 0 0 1-.5.2z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="m404.7 21.7-30.6.6a142 142 0 0 0-40 5.6l-1 .3-.4.1a11 11 0 0 0-1 .5l-.4.1-2 1.2c-5.1 2.8-13.3 8-13.3 8l-7.4 4.6-2.5 1.6-2.7 1.4-1.3.7-7.8 4.8-6.7 4.2-3 1.9L280 60a320.5 320.5 0 0 0-30.6 21.3l-1.4 1.2-.3.3c-.2 0-.7.5-.8.6l-.2.3a80.3 80.3 0 0 0-3.6 3.5l-.4.4c-2 2-5.3 5.6-5.3 8.5-1.7 11-.6 16.5-.2 18l77-2.7s11-1 20-7.6c11.4-8.3 27.8-9 32.6-9h35.4l2.5-73.1zm-5.6 69.8a144 144 0 0 0-56.3 5.7c-7 2.5-13.5 7.2-17.7 9.3a36.5 36.5 0 0 1-10.8 2.6l-.8.1h-.9l-72.4 1.7s-4.2-15 8.2-25.2C260.7 75.5 327.7 33 337 29.8c9.4-3.2 65.3-4.9 65.3-4.9L399 91.5zm459.9 37h-6.4l-7.4-7.6v-5.2h13.2c.4 3.9.6 8.2.7 12.8z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M859.1 133.5h-28.3c-1.5-1-11.6-8.6-14.2-12.9-2.2-3.8 0-9.6.7-11.2l40-.6.7 4 .2 1.6h-13.7c-.1 0-.3 0-.4.2l-.2.4v6.1a.6.6 0 0 0 .2.5l7.8 8 .5.2h6.7v3.7zm-797.8 6.9A54.4 54.4 0 0 0 47 155c-.9 3-1.3 20.6-1.3 21.2 0 .2-1 4.8-5.3 4.8H13.7v-6.5h11.5c1 0 2-.4 2.7-1 .8-.7 1.3-1.5 1.6-2.5v-27.6a4 4 0 0 0-1.3-3.2c-.9-.7-2-1-3.1-.9H14.8l1-8.6h43.3a3 3 0 0 1 2 .6 2.3 2.3 0 0 1 .7 1.8v1.3c.1 1.8.1 5.7-.5 6zM192 91l-17.4 14.9c-5.2.5-101.7 9.2-115.6 11-12.8 1.7-17.3 10.3-18.1 12.4H16c.3-2 .8-3.8 1.6-5.6 4.6-9.9 4.3-11.6 76.9-23 52-8.3 83.8-9.6 97.5-9.7zm677 109.1a85 85 0 0 1-4 14.4l-.4.9-.8 2.2c-7.3 2-20.9.9-23-.1 1.7-3.7 3.9-25.9 4.4-31.3l4.8-3.5 18.3.3s2 9.5.7 17.1zm-7-40.5zM41.3 130.7zM422 21.4v73.5h-19.7l2.4-73.2 17.4-.3zM329.5 30h-.2l2-1 .2-.2h.2l.3-.2.7-.3h.3c.7-.2-1.2.6-3.5 1.6z"
                        fill="#09265E"
                      ></path>
                    </svg>
                    <span>Pickup</span>
                  </el-option>
                  <el-option
                    class="size-of-car-select"
                    label="Motorcycle"
                    value="Motorcycle"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="400"
                      height="240"
                      viewBox="0 0 400 240"
                      fill="none"
                      class="svg replaced-svg"
                    >
                      <path
                        d="m307.8 131.5 12.4-7.2c.9-.5 3 .4 3.5 1.3l10.2 31.9c3.6 2.2 6.2 5.8 6.2 10.7a12 12 0 1 1-24 0c0-1.7.5-3 1-4.9l-10.7-28.2c-.4-1.4 0-2.7 1.4-3.6zM277.2 175H259c-.4 0-.9-.5-.9-1-.4-1.7-.4-4.4-.4-6.2 0-26 13.3-49 33.7-61.5l8 20.2a52.2 52.2 0 0 0-20.9 47.1c0 1-.9 1.4-1.3 1.4zm25.2-46.7-.4-.9c-.5-.9.4-3.1 1.3-3.6l13.3-7.2c1.3-.9 3.1 0 3.6 1.4l.4.9c.5.9-.4 2.2-1.3 3.1l-13.3 7.2c-1.4.9-2.7.9-3.6-.9zM343.2 75l-38.5 4.9.4.4c.4 1-.4 2.3-1.3 3.2l-13.3 7.1c-1 .5-2.2.5-3.1-.9l-3.6-7.1-31.5 4a10 10 0 0 1-10.6-9l-2.2-22c-1-6.7 4-11.2 10.2-11.2l93.5.5c12.5 0 18.2 27.3 0 30zM91 56c-.5 1.9-2.3 2.3-4.5 2.3h-5.8c-2.2 0-4.9-1.8-4.9-4.5-1.3-21-14.6-31.4 0-31.4H94c4 0 6.7 3.6 5.3 7.2L91 56.1z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M209.8 129.2 224 97.4c.4-1.4 1.7-3.2 3.5-3.2l52.8-5.4c2.2 5 4.4 9-1.8 10.8-26.6 8-32 49.3-33.7 71.3-.4 2.3-2.2 4.5-4.9 4.5l-28.4.5c-3.5 0-5.3-4.5-3.5-6.8 8.9-10.7 5.3-29.6 1.8-35.4a7.7 7.7 0 0 1 0-4.5zm86.9-15.2-.5-1c-.4-.8.5-3 1.4-3.5l12.8-7.2c1.4-1 3.1 0 3.6 1.3l.4 1c.5.8-.4 2.2-1.3 3l-13.3 7.2c-1 .5-2.7.5-3.1-.8z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="m165 130-9.8-32.7c-.4-1.8.9-3.1 3.1-3.1h50.1c1.8 0 3.1 1.8 2.2 3.6l-13.3 35.4a25 25 0 0 1 7.1 17.5c0 9.4-4 17.5-12.8 22v6.7H302c7.5 0 13.7 6.8 40.3 6.8v9.8c-26.6 0-32.3 6.3-40.3 6.3H192c-14.2 0-23-6.7-23-21v-6.4c-9-4-15.1-13-15.1-23.3.4-9 4.9-16.6 11-21.5z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="M72.3 87.5c5.3 0 10.6.4 15.5 1.8l4-11.2c.4-1 2.2-1.8 3.5-1.4h.5l5.3-13.4-3-1.4c-1-.4-1.9-2.2-1.4-3.6l7.5-22c.5-.9 2.2-1.8 3.6-1.3l3.5 1.3 9.8-26.9c1.7-5 7-9.4 12.4-9.4h28c1.3 0 3.5 3.1 3.5 4.5v5.4c0 1.3-2.2 3.6-3.6 3.6h-22.6c-1.8 0-3.5.4-4 2.2L127.3 35c1.8-1.4 3-2.3 5.3-2.3 24 0 66.5 12.6 95.3 18.9 4 .9 6.7 4.5 7.1 8l1 18.5c.4 5.8-4.5 11.6-10.3 11.6h-93.5c-7.6-4.5-12-9.9-13.3-18.8l-5-2.3-5.3 13c1.4.5 1.8 2.3 1.4 3.2L105.5 96a72 72 0 0 1 37.3 63.3c0 39.9-32 72.2-71.4 72.2A71.8 71.8 0 0 1 0 159.3a73 73 0 0 1 72.3-71.8zm0 123.3c28 0 50.5-22.8 50.5-51.1a51 51 0 0 0-24.3-43.5l-15.6 38.6c1 1.8 1.4 3.1 1.4 5.3a12 12 0 1 1-24 0 11 11 0 0 1 6.2-10.3L80.7 109c-2.6-.4-5.8-.9-8.4-.9-28 0-50.6 22.9-50.6 51.2a51 51 0 0 0 50.6 51.5zm198.7-4.5h24.8c8.9 9 20.4 12.6 32.8 12.6 28 0 50.6-22.9 50.6-51.1a50.8 50.8 0 0 0-50.6-51.2c-1.8 0-4 0-5.8.5l-6.6-20.7c4-.4 8-.9 12.4-.9a71.8 71.8 0 0 1 71.4 72.3c0 39.9-32 72.2-71.4 72.2a73 73 0 0 1-59-31.4c-.9-1 .5-2.3 1.4-2.3z"
                        fill="#09265E"
                      ></path>
                      <path
                        d="m300.2 120.7-.4-1c-.5-.8.4-3 1.3-3.5L314 109c1.3-.9 3 0 3.5 1.4l.5.9c.4.8-.5 2.2-1.4 3l-13.3 7.3c-1.3.4-2.6.4-3-1zM311.3 95l.5 1c.4.9-.5 2.2-1.4 3.1l-13.3 7.2c-.9.5-2.2.5-3-.9l-.5-.9c-.5-.9.4-3.1 1.3-3.6l12.9-7.2c1.7-.9 3 0 3.5 1.4zm-4.4-3-13.3 7c-1 .5-2.3.5-3.1-.9l-.5-.8c-.4-1 .5-3.2 1.3-3.6l13-7.2c1.2-1 3 0 3.5 1.3l.4 1c.9.8-.4 2.6-1.3 3z"
                        fill="#09265E"
                      ></path>
                    </svg>
                    <span>Motorcycle</span>
                  </el-option>
                </el-select>
                <p :class="$v.form.type.$anyError ? 'd-block' : 'd-none'">
                  *Please chose your vehicle size
                </p>
              </div>
            </div>
            <div v-if="step === 2 && form.type !== 'Motorcycle'">
              <div class="relative mb-20">
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M3.02564 12.0257C3.02564 8.64124 3.02564 6.94901 4.07705 5.8976C5.12846 4.84619 6.82068 4.84619 10.2051 4.84619H13.7949C17.1793 4.84619 18.8715 4.84619 19.9229 5.8976C20.9744 6.94901 20.9744 8.64124 20.9744 12.0257V13.8206C20.9744 17.205 20.9744 18.8972 19.9229 19.9486C18.8715 21 17.1793 21 13.7949 21H10.2051C6.82068 21 5.12846 21 4.07705 19.9486C3.02564 18.8972 3.02564 17.205 3.02564 13.8206V12.0257Z"
                    stroke="#0060B7"
                    stroke-width="1.5"
                  />
                  <path
                    d="M7.51282 4.84615V3.5"
                    stroke="#0060B7"
                    stroke-width="1.5"
                    stroke-linecap="round"
                  />
                  <path
                    d="M16.4872 4.84615V3.5"
                    stroke="#0060B7"
                    stroke-width="1.5"
                    stroke-linecap="round"
                  />
                  <path
                    d="M3.47436 9.33325H20.5256"
                    stroke="#0060B7"
                    stroke-width="1.5"
                    stroke-linecap="round"
                  />
                  <path
                    d="M17.3846 16.5128C17.3846 17.0085 16.9828 17.4103 16.4872 17.4103C15.9915 17.4103 15.5897 17.0085 15.5897 16.5128C15.5897 16.0172 15.9915 15.6154 16.4872 15.6154C16.9828 15.6154 17.3846 16.0172 17.3846 16.5128Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M17.3846 12.9231C17.3846 13.4187 16.9828 13.8205 16.4872 13.8205C15.9915 13.8205 15.5897 13.4187 15.5897 12.9231C15.5897 12.4274 15.9915 12.0256 16.4872 12.0256C16.9828 12.0256 17.3846 12.4274 17.3846 12.9231Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M12.8974 16.5128C12.8974 17.0085 12.4956 17.4103 12 17.4103C11.5044 17.4103 11.1026 17.0085 11.1026 16.5128C11.1026 16.0172 11.5044 15.6154 12 15.6154C12.4956 15.6154 12.8974 16.0172 12.8974 16.5128Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M12.8974 12.9231C12.8974 13.4187 12.4956 13.8205 12 13.8205C11.5044 13.8205 11.1026 13.4187 11.1026 12.9231C11.1026 12.4274 11.5044 12.0256 12 12.0256C12.4956 12.0256 12.8974 12.4274 12.8974 12.9231Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M8.41025 16.5128C8.41025 17.0085 8.00846 17.4103 7.51282 17.4103C7.01718 17.4103 6.61538 17.0085 6.61538 16.5128C6.61538 16.0172 7.01718 15.6154 7.51282 15.6154C8.00846 15.6154 8.41025 16.0172 8.41025 16.5128Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M8.41025 12.9231C8.41025 13.4187 8.00846 13.8205 7.51282 13.8205C7.01718 13.8205 6.61538 13.4187 6.61538 12.9231C6.61538 12.4274 7.01718 12.0256 7.51282 12.0256C8.00846 12.0256 8.41025 12.4274 8.41025 12.9231Z"
                    fill="#0060B7"
                  />
                </svg>
                <el-autocomplete
                  id="vehicle-year-main"
                  class="inline-input"
                  :automatic-dropdown="true"
                  v-model="vehicle.year"
                  :fetch-suggestions="querySearchVehicleYear"
                  placeholder="Vehicle year"
                  :maxlength="4"
                  @select="handleSelectYear"
                >
                  <i
                    class="el-select__caret el-input__icon el-icon-arrow-down"
                    slot="suffix"
                    @click=""
                  >
                  </i>
                  <template slot-scope="{ item }">
                    <div>{{ item }}</div>
                  </template>
                </el-autocomplete>
                <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
              </div>
              <div class="relative mb-20">
                <svg
                  data-v-1762e93d=""
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <ellipse
                    data-v-1762e93d=""
                    cx="5.41671"
                    cy="14.5833"
                    rx="2.08333"
                    ry="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></ellipse>
                  <circle
                    data-v-1762e93d=""
                    cx="14.5833"
                    cy="14.5833"
                    r="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></circle>
                  <path
                    data-v-1762e93d=""
                    d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z"
                    fill="#0060B7"
                  ></path>
                </svg>
                <el-autocomplete
                  id="vehicle-make-main"
                  class="inline-input"
                  v-model="vehicle.make"
                  :fetch-suggestions="querySearchVehicleMake"
                  placeholder="Vehicle make"
                  @select="handleSelectVehicleMake(vehicle.year, vehicle.make)"
                >
                  <i
                    class="el-select__caret el-input__icon el-icon-arrow-down"
                    slot="suffix"
                    @click=""
                  >
                  </i>
                  <template slot-scope="{ item }">
                    <div>{{ item.value }}</div>
                  </template>
                </el-autocomplete>
                <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
              </div>
              <div class="relative mb-20">
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <ellipse
                    cx="5.41671"
                    cy="14.5833"
                    rx="2.08333"
                    ry="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></ellipse>
                  <circle
                    data-v-1762e93d=""
                    cx="14.5833"
                    cy="14.5833"
                    r="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></circle>
                  <path
                    data-v-1762e93d=""
                    d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z"
                    fill="#0060B7"
                  ></path>
                </svg>
                <el-autocomplete
                  id="vehicle-model-main"
                  class="inline-input"
                  v-model="vehicle.model"
                  :fetch-suggestions="querySearchVehicleModel"
                  placeholder="Vehicle Model"
                >
                  <i
                    class="el-select__caret el-input__icon el-icon-arrow-down"
                    slot="suffix"
                    @click=""
                  >
                  </i>
                  <template slot-scope="{ item }">
                    <div>{{ item.value }}</div>
                  </template>
                </el-autocomplete>
                <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
              </div>
            </div>
            <div v-if="step === 2 && form.type === 'Motorcycle'">
              <div class="relative mb-20">
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M3.02564 12.0257C3.02564 8.64124 3.02564 6.94901 4.07705 5.8976C5.12846 4.84619 6.82068 4.84619 10.2051 4.84619H13.7949C17.1793 4.84619 18.8715 4.84619 19.9229 5.8976C20.9744 6.94901 20.9744 8.64124 20.9744 12.0257V13.8206C20.9744 17.205 20.9744 18.8972 19.9229 19.9486C18.8715 21 17.1793 21 13.7949 21H10.2051C6.82068 21 5.12846 21 4.07705 19.9486C3.02564 18.8972 3.02564 17.205 3.02564 13.8206V12.0257Z"
                    stroke="#0060B7"
                    stroke-width="1.5"
                  />
                  <path
                    d="M7.51282 4.84615V3.5"
                    stroke="#0060B7"
                    stroke-width="1.5"
                    stroke-linecap="round"
                  />
                  <path
                    d="M16.4872 4.84615V3.5"
                    stroke="#0060B7"
                    stroke-width="1.5"
                    stroke-linecap="round"
                  />
                  <path
                    d="M3.47436 9.33325H20.5256"
                    stroke="#0060B7"
                    stroke-width="1.5"
                    stroke-linecap="round"
                  />
                  <path
                    d="M17.3846 16.5128C17.3846 17.0085 16.9828 17.4103 16.4872 17.4103C15.9915 17.4103 15.5897 17.0085 15.5897 16.5128C15.5897 16.0172 15.9915 15.6154 16.4872 15.6154C16.9828 15.6154 17.3846 16.0172 17.3846 16.5128Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M17.3846 12.9231C17.3846 13.4187 16.9828 13.8205 16.4872 13.8205C15.9915 13.8205 15.5897 13.4187 15.5897 12.9231C15.5897 12.4274 15.9915 12.0256 16.4872 12.0256C16.9828 12.0256 17.3846 12.4274 17.3846 12.9231Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M12.8974 16.5128C12.8974 17.0085 12.4956 17.4103 12 17.4103C11.5044 17.4103 11.1026 17.0085 11.1026 16.5128C11.1026 16.0172 11.5044 15.6154 12 15.6154C12.4956 15.6154 12.8974 16.0172 12.8974 16.5128Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M12.8974 12.9231C12.8974 13.4187 12.4956 13.8205 12 13.8205C11.5044 13.8205 11.1026 13.4187 11.1026 12.9231C11.1026 12.4274 11.5044 12.0256 12 12.0256C12.4956 12.0256 12.8974 12.4274 12.8974 12.9231Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M8.41025 16.5128C8.41025 17.0085 8.00846 17.4103 7.51282 17.4103C7.01718 17.4103 6.61538 17.0085 6.61538 16.5128C6.61538 16.0172 7.01718 15.6154 7.51282 15.6154C8.00846 15.6154 8.41025 16.0172 8.41025 16.5128Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M8.41025 12.9231C8.41025 13.4187 8.00846 13.8205 7.51282 13.8205C7.01718 13.8205 6.61538 13.4187 6.61538 12.9231C6.61538 12.4274 7.01718 12.0256 7.51282 12.0256C8.00846 12.0256 8.41025 12.4274 8.41025 12.9231Z"
                    fill="#0060B7"
                  />
                </svg>
                <el-input
                  placeholder="Motorcycle Year"
                  v-mask="'####'"
                  v-model="vehicle.year"
                ></el-input>
                <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
              </div>
              <div class="relative mb-20">
                <svg
                  data-v-1762e93d=""
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <ellipse
                    data-v-1762e93d=""
                    cx="5.41671"
                    cy="14.5833"
                    rx="2.08333"
                    ry="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></ellipse>
                  <circle
                    data-v-1762e93d=""
                    cx="14.5833"
                    cy="14.5833"
                    r="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></circle>
                  <path
                    data-v-1762e93d=""
                    d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z"
                    fill="#0060B7"
                  ></path>
                </svg>
                <el-input
                  placeholder="Motorcycle make"
                  v-model="vehicle.make"
                ></el-input>
                <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
              </div>
              <div class="relative mb-20">
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <ellipse
                    cx="5.41671"
                    cy="14.5833"
                    rx="2.08333"
                    ry="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></ellipse>
                  <circle
                    data-v-1762e93d=""
                    cx="14.5833"
                    cy="14.5833"
                    r="2.08333"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  ></circle>
                  <path
                    data-v-1762e93d=""
                    d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z"
                    fill="#0060B7"
                  ></path>
                </svg>
                <el-input
                  placeholder="Motorcycle model"
                  v-model="vehicle.model"
                ></el-input>
                <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
              </div>
            </div>
            <div v-if="step === 3">
              <div
                class="relative mb-20"
                :class="{ hasError: $v.personalInfo.email.$anyError }"
              >
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M1.66663 10.0002C1.66663 6.85747 1.66663 5.28612 2.64294 4.30981C3.61925 3.3335 5.1906 3.3335 8.33329 3.3335H11.6666C14.8093 3.3335 16.3807 3.3335 17.357 4.30981C18.3333 5.28612 18.3333 6.85747 18.3333 10.0002C18.3333 13.1429 18.3333 14.7142 17.357 15.6905C16.3807 16.6668 14.8093 16.6668 11.6666 16.6668H8.33329C5.1906 16.6668 3.61925 16.6668 2.64294 15.6905C1.66663 14.7142 1.66663 13.1429 1.66663 10.0002Z"
                    stroke="#0060B7"
                    stroke-width="1.2"
                  />
                  <path
                    d="M5 6.6665L6.79908 8.16574C8.32961 9.44118 9.09488 10.0789 10 10.0789C10.9051 10.0789 11.6704 9.44118 13.2009 8.16574L15 6.6665"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                </svg>
                <el-input
                  placeholder="example@email.com"
                  v-model="personalInfo.email"
                >
                </el-input>
                <p
                  :class="
                    $v.personalInfo.email.$anyError ? 'd-block' : 'd-none'
                  "
                >
                  *Please enter a valid email address! Receive quote via email
                </p>
              </div>
              <div
                v-show="personalInfo.unspecifiedDate === 'particularDate'"
                class="relative mb-20"
              >
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M2.52136 10.021C2.52136 7.20062 2.52136 5.79044 3.39754 4.91426C4.27371 4.03809 5.6839 4.03809 8.50427 4.03809H11.4957C14.3161 4.03809 15.7263 4.03809 16.6024 4.91426C17.4786 5.79044 17.4786 7.20062 17.4786 10.021V11.5167C17.4786 14.3371 17.4786 15.7473 16.6024 16.6234C15.7263 17.4996 14.3161 17.4996 11.4957 17.4996H8.50427C5.6839 17.4996 4.27371 17.4996 3.39754 16.6234C2.52136 15.7473 2.52136 14.3371 2.52136 11.5167V10.021Z"
                    stroke="#0060B7"
                    stroke-width="1.2"
                  />
                  <path
                    d="M6.26062 4.0383V2.9165"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                  <path
                    d="M13.7393 4.0383V2.9165"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                  <path
                    d="M2.89526 7.77783H17.1047"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                  <path
                    d="M14.4872 13.7603C14.4872 14.1733 14.1524 14.5082 13.7393 14.5082C13.3263 14.5082 12.9915 14.1733 12.9915 13.7603C12.9915 13.3473 13.3263 13.0124 13.7393 13.0124C14.1524 13.0124 14.4872 13.3473 14.4872 13.7603Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M14.4872 10.7689C14.4872 11.1819 14.1524 11.5167 13.7393 11.5167C13.3263 11.5167 12.9915 11.1819 12.9915 10.7689C12.9915 10.3558 13.3263 10.021 13.7393 10.021C14.1524 10.021 14.4872 10.3558 14.4872 10.7689Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M10.7478 13.7603C10.7478 14.1733 10.413 14.5082 9.99994 14.5082C9.5869 14.5082 9.25208 14.1733 9.25208 13.7603C9.25208 13.3473 9.5869 13.0124 9.99994 13.0124C10.413 13.0124 10.7478 13.3473 10.7478 13.7603Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M10.7478 10.7689C10.7478 11.1819 10.413 11.5167 9.99994 11.5167C9.5869 11.5167 9.25208 11.1819 9.25208 10.7689C9.25208 10.3558 9.5869 10.021 9.99994 10.021C10.413 10.021 10.7478 10.3558 10.7478 10.7689Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M7.00854 13.7603C7.00854 14.1733 6.67371 14.5082 6.26068 14.5082C5.84765 14.5082 5.51282 14.1733 5.51282 13.7603C5.51282 13.3473 5.84765 13.0124 6.26068 13.0124C6.67371 13.0124 7.00854 13.3473 7.00854 13.7603Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M7.00854 10.7689C7.00854 11.1819 6.67371 11.5167 6.26068 11.5167C5.84765 11.5167 5.51282 11.1819 5.51282 10.7689C5.51282 10.3558 5.84765 10.021 6.26068 10.021C6.67371 10.021 7.00854 10.3558 7.00854 10.7689Z"
                    fill="#0060B7"
                  />
                </svg>
                <el-date-picker
                  id="specific-date"
                  v-mask="'####-##-##'"
                  style="width: 100%"
                  v-model="personalInfo.specifiedDate"
                  value-format="dd/MM/yyyy"
                  placeholder="Pickup date"
                  @change="handleSelectDate()"
                >
                </el-date-picker>
              </div>
              <div
                v-show="personalInfo.unspecifiedDate !== 'particularDate'"
                class="relative mb-20"
                :class="{ hasError: $v.personalInfo.unspecifiedDate.$anyError }"
              >
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M2.52136 10.021C2.52136 7.20062 2.52136 5.79044 3.39754 4.91426C4.27371 4.03809 5.6839 4.03809 8.50427 4.03809H11.4957C14.3161 4.03809 15.7263 4.03809 16.6024 4.91426C17.4786 5.79044 17.4786 7.20062 17.4786 10.021V11.5167C17.4786 14.3371 17.4786 15.7473 16.6024 16.6234C15.7263 17.4996 14.3161 17.4996 11.4957 17.4996H8.50427C5.6839 17.4996 4.27371 17.4996 3.39754 16.6234C2.52136 15.7473 2.52136 14.3371 2.52136 11.5167V10.021Z"
                    stroke="#0060B7"
                    stroke-width="1.2"
                  />
                  <path
                    d="M6.26062 4.0383V2.9165"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                  <path
                    d="M13.7393 4.0383V2.9165"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                  <path
                    d="M2.89526 7.77783H17.1047"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                  <path
                    d="M14.4872 13.7603C14.4872 14.1733 14.1524 14.5082 13.7393 14.5082C13.3263 14.5082 12.9915 14.1733 12.9915 13.7603C12.9915 13.3473 13.3263 13.0124 13.7393 13.0124C14.1524 13.0124 14.4872 13.3473 14.4872 13.7603Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M14.4872 10.7689C14.4872 11.1819 14.1524 11.5167 13.7393 11.5167C13.3263 11.5167 12.9915 11.1819 12.9915 10.7689C12.9915 10.3558 13.3263 10.021 13.7393 10.021C14.1524 10.021 14.4872 10.3558 14.4872 10.7689Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M10.7478 13.7603C10.7478 14.1733 10.413 14.5082 9.99994 14.5082C9.5869 14.5082 9.25208 14.1733 9.25208 13.7603C9.25208 13.3473 9.5869 13.0124 9.99994 13.0124C10.413 13.0124 10.7478 13.3473 10.7478 13.7603Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M10.7478 10.7689C10.7478 11.1819 10.413 11.5167 9.99994 11.5167C9.5869 11.5167 9.25208 11.1819 9.25208 10.7689C9.25208 10.3558 9.5869 10.021 9.99994 10.021C10.413 10.021 10.7478 10.3558 10.7478 10.7689Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M7.00854 13.7603C7.00854 14.1733 6.67371 14.5082 6.26068 14.5082C5.84765 14.5082 5.51282 14.1733 5.51282 13.7603C5.51282 13.3473 5.84765 13.0124 6.26068 13.0124C6.67371 13.0124 7.00854 13.3473 7.00854 13.7603Z"
                    fill="#0060B7"
                  />
                  <path
                    d="M7.00854 10.7689C7.00854 11.1819 6.67371 11.5167 6.26068 11.5167C5.84765 11.5167 5.51282 11.1819 5.51282 10.7689C5.51282 10.3558 5.84765 10.021 6.26068 10.021C6.67371 10.021 7.00854 10.3558 7.00854 10.7689Z"
                    fill="#0060B7"
                  />
                </svg>
                <el-select
                  class=""
                  id="form-date"
                  :automatic-dropdown="false"
                  v-model="personalInfo.unspecifiedDate"
                  placeholder="Pickup Date"
                  style="width: 100%"
                  @change="handleSpecificDate"
                >
                  <el-option
                    class="date-options"
                    label="As Soon As Possible"
                    value="As Soon As Possible"
                  >
                    <span>As Soon As Possible</span>
                  </el-option>
                  <el-option
                    class="date-options"
                    label="Within 7 days"
                    value="Within 7 days"
                  >
                    <span>Within 7 days</span>
                  </el-option>
                  <el-option
                    class="date-options"
                    label="Within 2 weeks"
                    value="Within 2 weeks"
                  >
                    <span>Within 2 Weeks</span>
                  </el-option>
                  <el-option
                    class="date-options"
                    label="Choose a Particilar Date"
                    value="particularDate"
                  >
                    <span>On a specific date</span>
                  </el-option>
                  <el-option
                    class="date-options"
                    label="Not sure yet"
                    value="Not sure yet"
                  >
                    <span>Not sure yet</span>
                  </el-option>
                </el-select>
                <p
                  :class="
                    $v.personalInfo.unspecifiedDate.$anyError
                      ? 'd-block'
                      : 'd-none'
                  "
                >
                  *Please select a pickup period
                </p>
              </div>
              <div
                class="relative"
                :class="{ hasError: $v.personalInfo.phone.$anyError }"
              >
                <svg
                  width="20"
                  height="20"
                  viewBox="0 0 20 20"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M3.33331 8.33317C3.33331 5.19047 3.33331 3.61913 4.30962 2.64281C5.28593 1.6665 6.85728 1.6665 9.99998 1.6665C13.1427 1.6665 14.714 1.6665 15.6903 2.64281C16.6666 3.61913 16.6666 5.19047 16.6666 8.33317V11.6665C16.6666 14.8092 16.6666 16.3805 15.6903 17.3569C14.714 18.3332 13.1427 18.3332 9.99998 18.3332C6.85728 18.3332 5.28593 18.3332 4.30962 17.3569C3.33331 16.3805 3.33331 14.8092 3.33331 11.6665V8.33317Z"
                    stroke="#0060B7"
                    stroke-width="1.2"
                  />
                  <path
                    d="M12.5 15.8335H7.5"
                    stroke="#0060B7"
                    stroke-width="1.2"
                    stroke-linecap="round"
                  />
                </svg>
                <el-input
                  id="form-main-phone"
                  placeholder="(___) ___ __ __"
                  v-model="personalInfo.phone"
                  v-mask="'(###) ### ## ##'"
                >
                </el-input>
                <p
                  :class="
                    $v.personalInfo.phone.$anyError ? 'd-block' : 'd-none'
                  "
                >
                  *Please enter a valid phone number! Receive quote via text
                </p>
              </div>
            </div>
            <el-checkbox
              class="whitespace-inherit home-form d-flex align-items-center mt-24"
              v-model="clientAgreement"
              :class="{ 'has-error': checkboxError }"
              ><span>
                  *By checking this box, I consent to receive marketing text messages sent through an automatic telephone dialing system at the phone number provided. I verify that the phone number I have provided is my own. I understand that I do not need to consent to make a purchase. I understand that standard message and data rates may apply, and that I can text STOP to end all messages.
                  </span></el-checkbox
            >
            <div class="mt-24 cont-btn cursor-pointer" @click="send()">
              <div v-if="step === 1">
                Continue
                <svg
                  class="ml-4 mt-2"
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M8 12C12.6863 12 11.3137 12 16 12M16 12L13 9M16 12L13 15"
                    stroke="#fff"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M2 12C2 7.28595 2 4.92893 3.46447 3.46447C4.92893 2 7.28595 2 12 2C16.714 2 19.0711 2 20.5355 3.46447C22 4.92893 22 7.28595 22 12C22 16.714 22 19.0711 20.5355 20.5355C19.0711 22 16.714 22 12 22C7.28595 22 4.92893 22 3.46447 20.5355C2 19.0711 2 16.714 2 12Z"
                    stroke="#fff"
                    stroke-width="1.5"
                  />
                </svg>
              </div>
              <div v-if="step === 2">
                Continue
                <svg
                  class="ml-4 mt-2"
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <path
                    d="M8 12C12.6863 12 11.3137 12 16 12M16 12L13 9M16 12L13 15"
                    stroke="#fff"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M2 12C2 7.28595 2 4.92893 3.46447 3.46447C4.92893 2 7.28595 2 12 2C16.714 2 19.0711 2 20.5355 3.46447C22 4.92893 22 7.28595 22 12C22 16.714 22 19.0711 20.5355 20.5355C19.0711 22 16.714 22 12 22C7.28595 22 4.92893 22 3.46447 20.5355C2 19.0711 2 16.714 2 12Z"
                    stroke="#fff"
                    stroke-width="1.5"
                  />
                </svg>
              </div>
              <div v-else-if="step === 3">
                Calculate
                <svg
                  style="margin-top: -3px; margin-right: 4px"
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
                >
                  <rect
                    x="4"
                    y="3"
                    width="16"
                    height="18"
                    rx="2"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <rect
                    x="8"
                    y="7"
                    width="8"
                    height="3"
                    rx="1"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M8 14V14.01"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M12 14V14.01"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M16 14V14.01"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M8 17V17.01"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M12 17V17.01"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                  <path
                    d="M16 17V17.01"
                    stroke="white"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                  />
                </svg>
              </div>
            </div>
            <div v-if="false" class="safeguard-your-info mt-16 d-flex align-items-center">
              <svg
                width="24"
                height="24"
                viewBox="0 0 24 24"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  d="M3 10.4167C3 7.21907 3 5.62028 3.37752 5.08241C3.75503 4.54454 5.25832 4.02996 8.26491 3.00079L8.83772 2.80472C10.405 2.26824 11.1886 2 12 2C12.8114 2 13.595 2.26824 15.1623 2.80472L15.7351 3.00079C18.7417 4.02996 20.245 4.54454 20.6225 5.08241C21 5.62028 21 7.21907 21 10.4167C21 10.8996 21 11.4234 21 11.9914C21 17.6294 16.761 20.3655 14.1014 21.5273C13.38 21.8424 13.0193 22 12 22C10.9807 22 10.62 21.8424 9.89856 21.5273C7.23896 20.3655 3 17.6294 3 11.9914C3 11.4234 3 10.8996 3 10.4167Z"
                  stroke="#1C274C"
                  stroke-width="1.5"
                />
                <circle
                  cx="12"
                  cy="9"
                  r="2"
                  stroke="#1C274C"
                  stroke-width="1.5"
                />
                <path
                  d="M16 15C16 16.1046 16 17 12 17C8 17 8 16.1046 8 15C8 13.8954 9.79086 13 12 13C14.2091 13 16 13.8954 16 15Z"
                  stroke="#1C274C"
                  stroke-width="1.5"
                />
              </svg>

              <p>
                By proceeding with the above form, you accept our
                <a href="/terms-and-conditions">Terms</a> and
                <a href="/privacy-policy">Privacy Policy</a>. We are committed
                to safeguarding your privacy and personal information.
              </p>
            </div>
          </div>
        </div>
        <div class="col-12 col-lg-6">
          <div class="home-main-text">
            <div
              class="d-flex d-lg-block align-items-start justify-content-center"
              style="gap: 10px"
            >
              <div class="">
                <h1 class="home-main-text mb-16">
                  {{ mainSliderData?.title }}
                </h1>
              </div>
              <div class="content4">
                <div class="content4__container">
                  <ul
                    class="content4__container__list mt-20"
                    v-if="
                      mainSliderData?.titles && mainSliderData?.titles.length
                    "
                  >
                    <li
                      class="content4__container__list__item"
                      v-for="(item, index) in mainSliderData?.titles"
                    >
                      {{ item.title }}
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="home-call-action d-none d-lg-block">
              <h2 class="mb-32 text-lg-left text-center">
                Vehicle shipping done right, every time! <br />
                with US Star Trucking!
              </h2>
              <a
                href="tel: +1 (865) 312-6670"
                class="align-items-center d-none d-lg-flex call"
              >
                <div class="round">
                  <svg
                    width="28"
                    height="29"
                    viewBox="0 0 28 29"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      d="M15.1667 4C15.1667 4 17.7334 4.23333 21.0001 7.5C24.2667 10.7667 24.5001 13.3333 24.5001 13.3333"
                      stroke="white"
                      stroke-width="1.5"
                      stroke-linecap="round"
                    />
                    <path
                      d="M15.4082 8.125C15.4082 8.125 16.5631 8.45498 18.2956 10.1874C20.028 11.9198 20.358 13.0747 20.358 13.0747"
                      stroke="white"
                      stroke-width="1.5"
                      stroke-linecap="round"
                    />
                    <path
                      d="M10.5439 7.86903L11.301 9.22578C11.9844 10.4502 11.71 12.0564 10.6338 13.1326C10.6338 13.1326 10.6338 13.1326 10.6338 13.1326C10.6337 13.1327 9.32851 14.4381 11.6953 16.8049C14.0614 19.171 15.3668 17.8671 15.3676 17.8663C15.3676 17.8663 15.3676 17.8663 15.3676 17.8663C16.4438 16.7901 18.05 16.5158 19.2744 17.1991L20.6311 17.9563C22.48 18.9881 22.6983 21.5809 21.0732 23.2061C20.0967 24.1826 18.9005 24.9424 17.5781 24.9925C15.3519 25.0769 11.5713 24.5135 7.77899 20.7212C3.98665 16.9288 3.42325 13.1483 3.50764 10.9221C3.55778 9.5997 4.3176 8.40344 5.29411 7.42693C6.91921 5.80183 9.51204 6.02017 10.5439 7.86903Z"
                      stroke="white"
                      stroke-width="1.5"
                      stroke-linecap="round"
                    />
                  </svg>
                </div>
                <div>
                  <p>Call us for a custom car shipping quote</p>
                  <h3>(865) 312-6670</h3>
                </div>
              </a>
            </div>
          </div>
        </div>
        <div class="find-out-more d-none d-lg-block">
          <a href="#reviews">
            <svg
              width="138"
              height="24"
              viewBox="0 0 138 24"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <rect
                x="6"
                y="3"
                width="12"
                height="18"
                rx="4"
                stroke="white"
                stroke-width="2"
                stroke-linecap="round"
                stroke-linejoin="round"
              />
              <path
                class="vert-move"
                d="M12 7V11"
                stroke="white"
                stroke-width="2"
                stroke-linecap="round"
                stroke-linejoin="round"
              />
              <path
                d="M34.8906 18.5H33.5625V7.07812H39.9219V8.25H34.8906V12.4375H39.6172V13.6016H34.8906V18.5ZM42.9297 9.9375V18.5H41.6328V9.9375H42.9297ZM42.2969 6.73438C42.5104 6.73438 42.6927 6.80469 42.8438 6.94531C43 7.08073 43.0781 7.29427 43.0781 7.58594C43.0781 7.8724 43 8.08594 42.8438 8.22656C42.6927 8.36719 42.5104 8.4375 42.2969 8.4375C42.0729 8.4375 41.8854 8.36719 41.7344 8.22656C41.5885 8.08594 41.5156 7.8724 41.5156 7.58594C41.5156 7.29427 41.5885 7.08073 41.7344 6.94531C41.8854 6.80469 42.0729 6.73438 42.2969 6.73438ZM49.7344 9.78125C50.75 9.78125 51.5182 10.0312 52.0391 10.5312C52.5599 11.026 52.8203 11.8229 52.8203 12.9219V18.5H51.5391V13.0078C51.5391 12.2943 51.375 11.7604 51.0469 11.4062C50.724 11.0521 50.2266 10.875 49.5547 10.875C48.6068 10.875 47.9401 11.1432 47.5547 11.6797C47.1693 12.2161 46.9766 12.9948 46.9766 14.0156V18.5H45.6797V9.9375H46.7266L46.9219 11.1719H46.9922C47.1745 10.8698 47.4062 10.6172 47.6875 10.4141C47.9688 10.2057 48.2839 10.0495 48.6328 9.94531C48.9818 9.83594 49.349 9.78125 49.7344 9.78125ZM58.5391 18.6562C57.4557 18.6562 56.5964 18.2865 55.9609 17.5469C55.3307 16.8073 55.0156 15.7083 55.0156 14.25C55.0156 12.776 55.3385 11.6641 55.9844 10.9141C56.6302 10.1589 57.4896 9.78125 58.5625 9.78125C59.0156 9.78125 59.4115 9.84115 59.75 9.96094C60.0885 10.0807 60.3802 10.2422 60.625 10.4453C60.8698 10.6432 61.0755 10.8698 61.2422 11.125H61.3359C61.3151 10.9635 61.2943 10.7422 61.2734 10.4609C61.2526 10.1797 61.2422 9.95052 61.2422 9.77344V6.34375H62.5391V18.5H61.4922L61.2969 17.2812H61.2422C61.0807 17.5365 60.875 17.7682 60.625 17.9766C60.3802 18.1849 60.0859 18.3516 59.7422 18.4766C59.4036 18.5964 59.0026 18.6562 58.5391 18.6562ZM58.7422 17.5781C59.6589 17.5781 60.3073 17.3177 60.6875 16.7969C61.0677 16.276 61.2578 15.5026 61.2578 14.4766V14.2422C61.2578 13.1536 61.0755 12.3177 60.7109 11.7344C60.3516 11.151 59.6953 10.8594 58.7422 10.8594C57.9453 10.8594 57.349 11.1667 56.9531 11.7812C56.5573 12.3906 56.3594 13.224 56.3594 14.2812C56.3594 15.3333 56.5547 16.1458 56.9453 16.7188C57.3411 17.2917 57.9401 17.5781 58.7422 17.5781ZM76.8281 14.2031C76.8281 14.9062 76.737 15.5339 76.5547 16.0859C76.3724 16.638 76.1094 17.1042 75.7656 17.4844C75.4219 17.8646 75.0052 18.1562 74.5156 18.3594C74.0312 18.5573 73.4818 18.6562 72.8672 18.6562C72.2943 18.6562 71.7682 18.5573 71.2891 18.3594C70.8151 18.1562 70.4036 17.8646 70.0547 17.4844C69.7109 17.1042 69.4427 16.638 69.25 16.0859C69.0625 15.5339 68.9688 14.9062 68.9688 14.2031C68.9688 13.2656 69.1276 12.4688 69.4453 11.8125C69.763 11.151 70.2161 10.6484 70.8047 10.3047C71.3984 9.95573 72.1042 9.78125 72.9219 9.78125C73.7031 9.78125 74.3854 9.95573 74.9688 10.3047C75.5573 10.6536 76.013 11.1589 76.3359 11.8203C76.6641 12.4766 76.8281 13.2708 76.8281 14.2031ZM70.3125 14.2031C70.3125 14.8906 70.4036 15.487 70.5859 15.9922C70.7682 16.4974 71.0495 16.888 71.4297 17.1641C71.8099 17.4401 72.2995 17.5781 72.8984 17.5781C73.4922 17.5781 73.9792 17.4401 74.3594 17.1641C74.7448 16.888 75.0286 16.4974 75.2109 15.9922C75.3932 15.487 75.4844 14.8906 75.4844 14.2031C75.4844 13.5208 75.3932 12.9323 75.2109 12.4375C75.0286 11.9375 74.7474 11.5521 74.3672 11.2812C73.987 11.0104 73.4948 10.875 72.8906 10.875C72 10.875 71.3464 11.1693 70.9297 11.7578C70.5182 12.3464 70.3125 13.1615 70.3125 14.2031ZM86.1406 9.9375V18.5H85.0781L84.8906 17.2969H84.8203C84.6432 17.5938 84.4141 17.8438 84.1328 18.0469C83.8516 18.25 83.5339 18.401 83.1797 18.5C82.8307 18.6042 82.4583 18.6562 82.0625 18.6562C81.3854 18.6562 80.8177 18.5469 80.3594 18.3281C79.901 18.1094 79.5547 17.7708 79.3203 17.3125C79.0911 16.8542 78.9766 16.2656 78.9766 15.5469V9.9375H80.2891V15.4531C80.2891 16.1667 80.4505 16.7005 80.7734 17.0547C81.0964 17.4036 81.5885 17.5781 82.25 17.5781C82.8854 17.5781 83.3906 17.4583 83.7656 17.2188C84.1458 16.9792 84.4193 16.6276 84.5859 16.1641C84.7526 15.6953 84.8359 15.1224 84.8359 14.4453V9.9375H86.1406ZM91.6484 17.5938C91.862 17.5938 92.0807 17.5755 92.3047 17.5391C92.5286 17.5026 92.7109 17.4583 92.8516 17.4062V18.4141C92.7005 18.4818 92.4896 18.5391 92.2188 18.5859C91.9531 18.6328 91.6927 18.6562 91.4375 18.6562C90.9844 18.6562 90.5729 18.5781 90.2031 18.4219C89.8333 18.2604 89.5365 17.9896 89.3125 17.6094C89.0938 17.2292 88.9844 16.7031 88.9844 16.0312V10.9531H87.7656V10.3203L88.9922 9.8125L89.5078 7.95312H90.2891V9.9375H92.7969V10.9531H90.2891V15.9922C90.2891 16.5286 90.4115 16.9297 90.6562 17.1953C90.9062 17.4609 91.237 17.5938 91.6484 17.5938ZM108.039 9.78125C108.982 9.78125 109.693 10.0286 110.172 10.5234C110.651 11.013 110.891 11.8021 110.891 12.8906V18.5H109.609V12.9531C109.609 12.2604 109.458 11.7422 109.156 11.3984C108.859 11.0495 108.417 10.875 107.828 10.875C107 10.875 106.398 11.1146 106.023 11.5938C105.648 12.0729 105.461 12.7786 105.461 13.7109V18.5H104.172V12.9531C104.172 12.4896 104.104 12.1042 103.969 11.7969C103.839 11.4896 103.641 11.2604 103.375 11.1094C103.115 10.9531 102.784 10.875 102.383 10.875C101.815 10.875 101.359 10.9922 101.016 11.2266C100.672 11.4609 100.422 11.8099 100.266 12.2734C100.115 12.7318 100.039 13.2969 100.039 13.9688V18.5H98.7422V9.9375H99.7891L99.9844 11.1484H100.055C100.227 10.8516 100.443 10.6016 100.703 10.3984C100.964 10.1953 101.255 10.0417 101.578 9.9375C101.901 9.83333 102.245 9.78125 102.609 9.78125C103.26 9.78125 103.805 9.90365 104.242 10.1484C104.685 10.388 105.005 10.7552 105.203 11.25H105.273C105.555 10.7552 105.94 10.388 106.43 10.1484C106.919 9.90365 107.456 9.78125 108.039 9.78125ZM120.938 14.2031C120.938 14.9062 120.846 15.5339 120.664 16.0859C120.482 16.638 120.219 17.1042 119.875 17.4844C119.531 17.8646 119.115 18.1562 118.625 18.3594C118.141 18.5573 117.591 18.6562 116.977 18.6562C116.404 18.6562 115.878 18.5573 115.398 18.3594C114.924 18.1562 114.513 17.8646 114.164 17.4844C113.82 17.1042 113.552 16.638 113.359 16.0859C113.172 15.5339 113.078 14.9062 113.078 14.2031C113.078 13.2656 113.237 12.4688 113.555 11.8125C113.872 11.151 114.326 10.6484 114.914 10.3047C115.508 9.95573 116.214 9.78125 117.031 9.78125C117.812 9.78125 118.495 9.95573 119.078 10.3047C119.667 10.6536 120.122 11.1589 120.445 11.8203C120.773 12.4766 120.938 13.2708 120.938 14.2031ZM114.422 14.2031C114.422 14.8906 114.513 15.487 114.695 15.9922C114.878 16.4974 115.159 16.888 115.539 17.1641C115.919 17.4401 116.409 17.5781 117.008 17.5781C117.602 17.5781 118.089 17.4401 118.469 17.1641C118.854 16.888 119.138 16.4974 119.32 15.9922C119.503 15.487 119.594 14.8906 119.594 14.2031C119.594 13.5208 119.503 12.9323 119.32 12.4375C119.138 11.9375 118.857 11.5521 118.477 11.2812C118.096 11.0104 117.604 10.875 117 10.875C116.109 10.875 115.456 11.1693 115.039 11.7578C114.628 12.3464 114.422 13.1615 114.422 14.2031ZM127.07 9.78125C127.242 9.78125 127.422 9.79167 127.609 9.8125C127.797 9.82812 127.964 9.85156 128.109 9.88281L127.945 11.0859C127.805 11.0495 127.648 11.0208 127.477 11C127.305 10.9792 127.143 10.9688 126.992 10.9688C126.648 10.9688 126.323 11.0391 126.016 11.1797C125.714 11.3151 125.448 11.513 125.219 11.7734C124.99 12.0286 124.81 12.3385 124.68 12.7031C124.549 13.0625 124.484 13.4635 124.484 13.9062V18.5H123.18V9.9375H124.258L124.398 11.5156H124.453C124.63 11.1979 124.844 10.9089 125.094 10.6484C125.344 10.3828 125.633 10.1719 125.961 10.0156C126.294 9.85938 126.664 9.78125 127.07 9.78125ZM133.023 9.78125C133.753 9.78125 134.378 9.94271 134.898 10.2656C135.419 10.5885 135.818 11.0417 136.094 11.625C136.37 12.2031 136.508 12.8802 136.508 13.6562V14.4609H130.594C130.609 15.4661 130.859 16.2318 131.344 16.7578C131.828 17.2839 132.51 17.5469 133.391 17.5469C133.932 17.5469 134.411 17.4974 134.828 17.3984C135.245 17.2995 135.677 17.1536 136.125 16.9609V18.1016C135.693 18.2943 135.263 18.4349 134.836 18.5234C134.414 18.612 133.914 18.6562 133.336 18.6562C132.513 18.6562 131.794 18.4896 131.18 18.1562C130.57 17.8177 130.096 17.3229 129.758 16.6719C129.419 16.0208 129.25 15.224 129.25 14.2812C129.25 13.3594 129.404 12.5625 129.711 11.8906C130.023 11.2135 130.461 10.6927 131.023 10.3281C131.591 9.96354 132.258 9.78125 133.023 9.78125ZM133.008 10.8438C132.315 10.8438 131.763 11.0703 131.352 11.5234C130.94 11.9766 130.695 12.6094 130.617 13.4219H135.148C135.143 12.9115 135.062 12.4635 134.906 12.0781C134.755 11.6875 134.523 11.3854 134.211 11.1719C133.898 10.9531 133.497 10.8438 133.008 10.8438Z"
                fill="white"
              />
            </svg>
          </a>
        </div>
      </div>
    </div>
    <div class="home-main-background"></div>
    <div
      v-bind:style="{
        backgroundImage: 'url(' + mainSliderData?.medias[2].file_url + ')',
      }"
      class="main-image"
      alt=""
    ></div>
  </div>
</template>

<script>
import { mapState } from "vuex";
import { required, minLength, email, sameAs } from "vuelidate/lib/validators";
terms: {
  sameAs: sameAs(() => true);
}
export default {
  name: "home-main",
  data() {
    return {
      step: 1,
      form: {
        from: "",
        to: "",
        type: "",
      },
      vehicle: {
        year: "",
        make: "",
        model: "",
      },
      personalInfo: {
        email: "",
        unspecifiedDate: "",
        specifiedDate: "",
        date: "",
        phone: "",
      },
      clientAgreement: false,
      checkboxError: false,
    };
  },

  validations: {
    form: {
      from: { required, min: minLength(5) },
      to: { required, min: minLength(5) },
      type: { required },
    },

    personalInfo: {
      email: { required, email },
      unspecifiedDate: { required },
      phone: { required },
    },
  },

  methods: {
    async send() {
      if (this.step === 1) {
        this.$v.form.$touch();
        if (!this.$v.form.$invalid) {
          this.step = 2;
        }
      } else if (this.step === 2) {
        this.step = 3;
      } else if (this.step === 3) {
        this.$v.personalInfo.$touch();
        if (this.clientAgreement === false) {
          this.checkboxError = true;
        } else {
          this.checkboxError = false;
        }
        if (!this.$v.personalInfo.$invalid && this.clientAgreement) {
          this.$router.push({
            path: "/calculator/viewprice",
            query: {
              from: this.form.from,
              to: this.form.to,
              date: this.personalInfo.date,
              type: this.form.type,
              name: this.personalInfo.name,
              email: this.personalInfo.email,
              phone: this.personalInfo.phone,
              vehicleYear: this.vehicle.year,
              vehicleMake: this.vehicle.make,
              vehicleModel: this.vehicle.model,
              map: true,
            },
          });
        }
      }
    },

    async querySearch(key, cb) {
      await this.$store.dispatch("fetchZips", key);
      setTimeout(() => {
        let results = this.zips;
        cb(results);
      }, 100);
    },

    querySearchVehicleYear(key, cb) {
      let years = this.vehicleYear;
      let results = key ? years.filter(this.createFilter(key)) : years;
      cb(results);
    },

    createFilter(key) {
      return (year) => {
        return year.toLowerCase().indexOf(key.toLowerCase()) === 0;
      };
    },

    async querySearchVehicleMake(key, cb) {
      await this.$store.dispatch("fetchVehicleMake", {
        year: "",
        key: key,
      });
      setTimeout(() => {
        let results = this.vehicleMake;
        cb(results);
      }, 100);
    },

    async querySearchVehicleModel(key, cb) {
      await this.$store.dispatch("fetchVehicleModel", {
        make: this.vehicle.make,
        year: "",
        key: key,
      });
      setTimeout(() => {
        let results = this.vehicleModel;
        cb(results);
      }, 100);
    },

    handleSelectYear(items) {
      this.vehicle.year = items;
      document.getElementById("vehicle-make-main")?.focus();
    },

    handleSelectFrom(item) {
      this.form.from = `${item.city}, ${item.state}, ${item.name}`;
      document.getElementById("form-to")?.focus();
    },

    handleSelectTo(item) {
      this.form.to = `${item.city}, ${item.state}, ${item.name}`;
      document.getElementById("form-type")?.focus();
    },

    handleSelectDate() {
      document.getElementById("form-main-phone").focus();
      this.personalInfo.date = this.form.specifiedDate;
    },

    handleSpecificDate(value) {
      if (value === "particularDate") {
        setTimeout(() => {
          document.getElementById("specific-date")?.focus();
        }, 10);
      } else {
        setTimeout(() => {
          document.getElementById("form-main-phone")?.focus();
        }, 10);
        let dateToSend = new Date();
        this.personalInfo.date =
          dateToSend.getFullYear() +
          "-" +
          (dateToSend.getMonth() + 1) +
          "-" +
          (dateToSend.getDate() + 2);
      }
    },

    async handleSelectVehicleMake(year, make) {
      await this.$store.dispatch("fetchVehicleModel", {
        year: year,
        make: make,
        key: "",
      });
      document.getElementById("vehicle-model-main")?.focus();
    },
  },

  watch: {
    step(value) {
      if (value === 2) {
        setTimeout(() => {
          document.getElementById("vehicle-year-main")?.focus();
        }, 10);
      }
    },

    "personalInfo.specifiedDate"(val) {
      if (!val) {
        this.personalInfo.unspecifiedDate = "";
      }
    },
  },

  async fetch() {
    await this.$store.dispatch("fetchMainSlider");
  },
  computed: {
    ...mapState({
      mainSliderData: (state) => state.mainSliderData,
      zips: (state) => state.zips,
      vehicleYear: (state) => state.vehicleYear,
      vehicleMake: (state) => state.vehicleMake,
      vehicleModel: (state) => state.vehicleModel,
    }),
  },
};
</script>

<style scoped>
</style>
